Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 765 - rpm doesn't file logo in tar file
Summary: rpm doesn't file logo in tar file
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-09 17:54 UTC by balaton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-10 16:11:28 UTC


Attachments (Terms of Use)

Description balaton 1999-01-09 17:54:48 UTC
When building an rpm package from a tar.gz file with a
"Logo:" line in the spec file rpm doesn't find the specified
logo file in the tar.gz file even though it's there, thus
rpm packages cannot be built with rpm -tb file.tar.gz.

Comment 1 Jeff Johnson 1999-01-10 16:11:59 UTC
You will need to rebuild using "rpm -bb specfile" and putting
foo.logo in the SOURCES directory (usually /usr/src/redhat/SOURCES).
Rpm has no way of identifying that foo.logo in the tar ball has any
relation to foo.logo mentioned as "Logo: foo.logo".


Note You need to log in before you can comment on or make changes to this bug.